APIServer activity

Get server activity logs

Returns paginated activity logs for a server with filtering and sorting capabilities

Returns paginated activity logs for a server with filtering and sorting capabilities

GET
/api/client/servers/{server}/activity

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server identifier

Query Parameters

per_page?integer

Number of activities per page (max 100)

Default25
Range1 <= value <= 100
page?integer

Page number

Range1 <= value
sort?string

Sort field (timestamp)

Value in"timestamp" | "-timestamp"
filter[event]?string

Filter by event type (partial match)

filter[ip]?string

Filter by IP address (partial match)

filter[actor_id]?string

Filter by actor UUID or 'system' for system activities

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/string/activity"
{
  "object": "list",
  "data": [
    {
      "object": "activity_log",
      "attributes": {
        "batch": "string",
        "event": "string",
        "ip": "string",
        "description": "string",
        "properties": {},
        "has_additional_metadata": true,
        "timestamp": "2019-08-24T14:15:22Z"
      },
      "relationships": {
        "actor": {
          "object": "user",
          "attributes": {
            "uuid": "string",
            "username": "string",
            "email": "string"
          }
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}
Empty
Empty
Empty